{
    "seed": 42,
    "experiment_tag": "Teacher_SupCon_Pretraining",
    "dataset_root_dir": "data/processed",
    "output_dir": "\\Supplementary Material\\pretrained_weights",
    "resume_path": null,
    "num_classes": 5,
    "num_img_patches": 256,
    "img_patch_flat_dim": 768,
    "num_sig_patches": 2560,
    "sig_patch_dim": 60,
    "embed_dim": 128,
    "limoe_depth": 1,
    "limoe_heads": 3,
    "limoe_dim_head": 42,
    "limoe_num_experts": 1,
    "limoe_ff_mult": 2,
    "limoe_top_k": 1,
    "limoe_dropout": 0.1,
    "realnvp_img_layers": 3,
    "realnvp_sig_layers": 5,
    "proj_head_out_dim": 128,
    "batch_size": 8,
    "num_epochs": 200,
    "num_workers": 0,
    "learning_rate": 1e-05,
    "weight_decay": 0.01,
    "supcon_temperature": 0.5,
    "use_gradient_clipping": true,
    "gradient_clip_val": 0.5,
    "do_eval": true,
    "eval_every_n_epochs": 1,
    "do_early_stopping": true,
    "early_stopping_patience": 15,
    "early_stopping_monitor_metric": "val_f1",
    "early_stopping_mode": "max",
    "min_epochs_for_early_stopping": 30
}